Support » Plugin: Gravity Forms Entries in Excel » Capabilities and user error

  • Hi,

    First of all I really like the plugin, it is exactly what I needed. But I just noticed that the plugin is throwing me 2 errors.

    Warning: Illegal offset type in isset or empty in /var/www/domain.com/public_html/wp-includes/capabilities.php on line 572

    Warning: Illegal offset type in isset or empty in /var/www/domain.com/public_html/wp-includes/class-wp-user.php on line 778

    Everything is updated, wp, GF and the plugin itself. The error is on both my forms.

    Could you maybe pinpoint me to what is causing it?

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author Doeke Norg

    (@doekenorg)

    Hi @rudebox

    Let me look into this. Haven’t seen this before. The capabilities settings are actually on gravity forms itself. So not sure it this is just my plug-in, or an error on GF itself.

    I’ll get back to you.

    Plugin Author Doeke Norg

    (@doekenorg)

    Hi @rudebox,

    So I did a little digging, and unfortunately I cannot seem to reproduce this error.
    Using WordPress 5.1.1, GF 2.4.5 and the plugin 1.6.0 does not trigger this error.

    Do you have any other plugins active for GF that might be interfering? A specific roles plugin perhaps?

    And where do you see this error exactly?

    Please let me know

    Im running GF version 2.4.7 if that has anything to say?

    These are my other installed plugins on the site:

    ACF Content Analysis for Yoast SEO
    Advanced Custom Fields PRO
    Gravity Forms
    Gravity Forms Entries in Excel
    Classic editor
    Really Simple SSL
    Resize Image After Upload
    Simple 301 Redirects
    WP Mail SMTP
    WP Pusher
    Yoast SEO

    The error is shown on the forms and entries tab and the sublinks belonging to those tabs.

    @doekenorg

    Same error here, but I doesn’thave the plugin “Gravity Forms Entries in Excel”. Only GF and Gravity Perks. So maybe isn’t an error related “Gravity Forms Entries in Excel”.

    @hanschristian Interesting, do you have any of the other plugins installed that I listed above?

    The error disappears when I deactivate the plugin, thats why i thought this plugin was causing it. Maybe it’s purely GF related?

    I don’t have this plugin, I just landed here on a Google search.

    I have two gravity+ plugins: Salesforce API and Dynamic Population Pro.

    With either of those activated, I see the same errors.
    If I deactivate both of them then the errors are gone.

    So I think the error is definitely related to GF, but not particularly this Excel add-on.

    Plugin Author Doeke Norg

    (@doekenorg)

    @badlydrawnben Do you also have 2.4.7 of GF? It might be fixed in a later version.

    But maybe you all can try to disable the warning for now by applying define(‘WP_DEBUG’, false); in the config.php. Always best in a production environment to prevent leaking data.

    Marked this issue as a “non-issue”. Hope this gets resolved quickly.

    Yes – just to say that I asked about it in the GF Slack. It’s a known issue and the latest version (2.4.7.3) in the Downloads section is supposed to fix it. I haven’t tried that yet as I will just wait until it is available in the WP Dashboard updates.

    You’re right that it’s not an issue with this plugin/add-on.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Capabilities and user error’ is closed to new replies.